import { Loader } from '../Loader';
import { WorldTree } from '../../..';
export declare class SpeckleLoader extends Loader {
    private loader;
    private converter;
    private tree;
    private priority;
    private isCancelled;
    private isFinished;
    get resource(): string;
    get finished(): boolean;
    constructor(targetTree: WorldTree, resource: string, authToken: string, enableCaching?: boolean, resourceData?: string | ArrayBuffer, priority?: number);
    load(): Promise<boolean>;
    cancel(): void;
    dispose(): void;
}
